Bugzilla will be upgraded to version 5.0 on December 2, 2018. The outage period for the upgrade will start at 0:00 UTC and have a duration of 12 hours
Bug 610799 - ncview : does not adhere to Static Library Packaging Guidelines
ncview : does not adhere to Static Library Packaging Guidelines
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ncview (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ed Hill
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-02 09:20 EDT by Michael Schwendt
Modified: 2011-04-27 06:10 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-27 06:10:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2010-07-02 09:20:10 EDT
ncview-1.93c-6.fc13.src
is missing
BuildRequires: udunits-static

[...]

https://fedoraproject.org/wiki/Packaging:Guidelines#Packaging_Static_Libraries_2

If a library you depend on only provides a static version your package can link against it provided that you BuildRequire the *-static subpackage. Packagers in such a situation should be aware that if a shared library becomes available, that you should adjust your package to use the shared library.
Comment 1 Bug Zapper 2010-07-30 08:23:41 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 14 development cycle.
Changing version to '14'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Michael Schwendt 2011-04-27 06:10:44 EDT
Closed by: fedora-report-static-batch.py
http://mschwendt.fedorapeople.org/staticbugstat.html

Note You need to log in before you can comment on or make changes to this bug.